/*
 * =====================================================================================
 *
 *       Filename:  constants.c
 *
 *    Description:  Constant values definition
 *
 *        Version:  1.0
 *        Created:  24/04/2017 21:06:32
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

/* exported const definitions */

#include "constants.h"

//const int board_size = 8;

const unsigned int empty = 0;
const unsigned int black = 1;
const unsigned int white = 2;

/* FIXME: reuse the two above variables would be better */
const unsigned int player_one = 1; /* first player is black */
const unsigned int player_two = 2;

const unsigned int hint_allowed   = 3;
const unsigned int hint_forbidden = 4;

const unsigned int north      = 10;
const unsigned int north_east = 11;
const unsigned int east       = 12;
const unsigned int south_east = 13;
const unsigned int south      = 14;
const unsigned int south_west = 15;
const unsigned int west       = 16;
const unsigned int north_west = 17;
